Subject: Re: [netatalk-admins] RH5.1/Intel working version?

From: Jonathan Benson <[email-masked]>
Date: Mon, 19 Oct 1998 14:05:53 +1000

I've CCed this to the mailing list as I'm sure your not the only one who'd like to
know this.

Craig Roberts wrote:

> >PS  If you need help compiling it then let me know.  It isn't difficult at all.
> I have downloaded the pre-asun2.1.0-12.tar.gz.
> How do I uncompress and compile it ?

The file is tarred and gziped.

Just use "tar -xzf pre-asun2.1.0-12.tar.gz"

I do this in to the /usr/src directory.

This will create a directory called "netatalk-1.4b2+asun2.1.0"

Change in to that directory and edit the Makefile.  I use pico as it's nice and
simple, but use whatever editor you like.

So assuming the tar is in your /root directory:
cd /usr/src
tar -xzf /root/pre-asun2.1.0-12.tar.gz
cd netatalk-1.4b2+asun2.1.0
pico Makefile

You need to change a few lines to suit your setup.

I comment out all the DESTDIR through MANDIR declarations and uncomment the 2nd lot
(SBINDIR -> MANDIR).  I also edit the ETCDIR line to read:
ETCDIR=/etc/atalk

That's just my preference to keep the netatalk config files separated out a bit.

Finally I comment out the DESDIR line and save the file.

One more file to edit:
cd sys/linux
pico Makefile

I comment out the DEFS line and add:
DEFS = -DUSE_PAM

Finally:
cd ../..
make
make install  (assuming netatalk isn't running)

That should do it.

Jonathan

--
Jonathan Benson B.Eng. (Soft Sys Hon) <[email-masked]>
Systems Administrator, Phoenix Magazines, Phone: +61 3 9696 7200
http://www.phoenixmags.com.au